Last Comment Bug 702403 - Kinetic scrolling shouldn't do a fling animation when stopped
: Kinetic scrolling shouldn't do a fling animation when stopped
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: ---
Assigned To: Patrick Walton (:pcwalton)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 13:02 PST by Patrick Walton (:pcwalton)
Modified: 2012-03-02 09:47 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified
11+


Attachments
Proposed patch. (3.29 KB, patch)
2011-11-14 13:02 PST, Patrick Walton (:pcwalton)
bugmail: review+
Details | Diff | Splinter Review

Description Patrick Walton (:pcwalton) 2011-11-14 13:02:23 PST
Created attachment 574385 [details] [diff] [review]
Proposed patch.

When scrolling, if the velocity is low, we shouldn't do the fling animation, as it's annoying.
Comment 1 Kartikaya Gupta (email:kats@mozilla.com) 2011-11-15 09:26:33 PST
http://hg.mozilla.org/projects/birch/rev/6d88c5dd93fa
Comment 2 Cristian Nicolae (:xti) 2012-03-02 09:47:45 PST
Verified fixed on:

Firefox 13.0a1 (2012-03-02)
20120302031112
http://hg.mozilla.org/mozilla-central/rev/3a7b9e61c263

--
Device: Samsung Galaxy S2
OS: Android 2.3.4

Note You need to log in before you can comment on or make changes to this bug.